"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateDescribeAccountLimits = void 0;
const CloudFormation_1 = require("../CloudFormation");
const CloudFormationClient_1 = require("../CloudFormationClient");
const DescribeAccountLimitsCommand_1 = require("../commands/DescribeAccountLimitsCommand");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribeAccountLimitsCommand_1.DescribeAccountLimitsCommand(input), ...args);
};
const makePagedRequest = async (client, input, ...args) => {
    return await client.describeAccountLimits(input, ...args);
};
async function* paginateDescribeAccountLimits(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        if (config.client instanceof CloudFormation_1.CloudFormation) {
            page = await makePagedRequest(config.client, input, ...additionalArguments);
        }
        else if (config.client instanceof CloudFormationClient_1.CloudFormationClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected CloudFormation | CloudFormationClient");
        }
        yield page;
        token = page.NextToken;
        hasNext = !!token;
    }
    return undefined;
}
exports.paginateDescribeAccountLimits = paginateDescribeAccountLimits;
