import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListStackSetsInput, ListStackSetsOutput } from "../models/models_0";
import { deserializeAws_queryListStackSetsCommand, serializeAws_queryListStackSetsCommand, } from "../protocols/Aws_query";
var ListStackSetsCommand = (function (_super) {
    __extends(ListStackSetsCommand, _super);
    function ListStackSetsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListStackSetsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ListStackSetsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListStackSetsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListStackSetsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListStackSetsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListStackSetsCommand(input, context);
    };
    ListStackSetsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListStackSetsCommand(output, context);
    };
    return ListStackSetsCommand;
}($Command));
export { ListStackSetsCommand };
