import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { ListTypesInput, ListTypesOutput } from "../models/models_0";
export interface ListTypesCommandInput extends ListTypesInput {
}
export interface ListTypesCommandOutput extends ListTypesOutput, __MetadataBearer {
}

export declare class ListTypesCommand extends $Command<ListTypesCommandInput, ListTypesCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: ListTypesCommandInput;
    constructor(input: ListTypesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTypesCommandInput, ListTypesCommandOutput>;
    private serialize;
    private deserialize;
}
